## libosso 2.23-1+0m5

=== debian/changelog ===
libosso (2.23-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Ramanathan Annamalai <ext-ramanathan.2.annamalai@nokia.com>  Mon, 27 Jul 2009 14:16:29 +0300

libosso (2.23-1) unstable; urgency=low

  * Fixes: NB#122572 - new libosso API should be detectable by some define

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 24 Jul 2009 15:40:06 +0300

libosso (2.22-1) unstable; urgency=low

  * Patch from Leonid Moiseichuk:
  * Fixes: NB#124765 - Image viewer application hangs in various scenarios
    when large size images used.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 13 Jul 2009 16:13:18 +0300

libosso (2.21-1) unstable; urgency=low

  * Fixes: NB#121151 - libosso coverity findings
  * Fixes: NB#120686 - fast functions to get amount of memory required

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 10 Jun 2009 15:28:57 +0300

libosso (2.20-1) unstable; urgency=low

  * Fix test-hw-prog.c test program.
  * Add signal handler for DSME signals, so that they are received.
  * Remove autogenerated config.h.in from SVN.
  * Patch from Leonid:
  * Fixes: NB#112680 - libosso memory hook doesn't work due to enabled swap
  * Patch from Leonid (but fast mode not enabled by default):
  * Fixes: NB#107185 - cpu mode switching support in libosso

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 04 May 2009 12:38:21 +0300

libosso (2.19-1) unstable; urgency=low

  * Removed auto-generated files and added autogen.sh run.
  * Use g_mkdir_with_parents instead of mkdir when creating the state saving
    directory. This enables osso_state_write to work if the state saving
    directory has not been created by startup scripts.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 26 Feb 2009 10:36:26 +0200

libosso (2.18-1) unstable; urgency=low

  * Reverted Armin's patch since it was crashing some applications on exit.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 10 Feb 2009 17:14:00 +0200

libosso (2.17-1) unstable; urgency=low

  Armin Burgmeier  <armin@openismus.com>:

        Based on a patch from Daniel Elstner <daniel.kitta@gmail.com> on
        bugs.maemo.org bug #2168. Fixes: MB#2168, NB#90656

        * src/muali.h:
        * src/osso-hw.h:
        * src/libosso.h:
        * src/osso-time.c:
        * src/osso-locale.c:
        * src/osso-display.c:
        * src/osso-hw.c:
        * src/osso-internal.h:
        * src/osso-rpc.c:
        * src/osso-mime.c:
        * src/osso-application-autosave.c:
        * src/osso-init.c:
        * src/osso-application-top.c: Added a _full version of all functions
        taking a callback. The _full version additionally takes a
        GDestroyNotify to free the user_data when the function is done with
        the callback.

        * ut/osso-application-top/test-top-prog.c: Use the destroy notify to
        unref the main loop.

        * ut/osso-rpc/test-osso-rpc.c: Adapt to an internal API change.

        * ut/osso-statusbar/test-osso-sbevent-prog.c: Unref a main loop with
        g_main_loop_unref instead of g_free.

  Kimmo:
        * Listen to DSME instead of MCE for shutdown and save unsaved data
          signals.
        * Fixes: NB#94762 (recompilation bug)
        * Added a new function osso_initialize_with_connections() for
          initialising libosso with custom D-Bus connections.

  Leonid:
        * Remove syslog() call from osso_mem_saw_enable() to avoid a mutex
          deadlock. Fixes: NB#91854

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 28 Jan 2009 09:53:48 +0200
