=== debian/control ===
Source: libosso
Section: x11
Priority: optional
Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
Build-Depends: debhelper (>= 4.0.0),
               libdbus-glib-1-dev (>= 0.61-osso18),
               libglib2.0-dev,
               doxygen,
               mce-dev
Standards-Version: 3.6.0

Package: libosso-dev
Section: devel
Architecture: any
Depends: libosso1 (= ${Source-Version}),
         libdbus-glib-1-dev
Description: Basic library for maemo applications - development files
 Libosso is the basic library containing required and helpful functions
 for maemo applications. One of Libosso's main features is RPC (Remote
 Procedure Calls) services (as it "wraps" D-Bus). In addition, Libosso
 provides access to low-level hardware functions, such as turning on (or
 keeping on) the display, autosaving, state saving and system time.
 .
 All maemo-compliant applications must use Libosso to respond coherently
 to system changes and signals, such as the battery low, pre-shutdown
 and state saving signals.
 .
 This package contains the development files.

Package: libosso1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         libosso-dbus-conf
Description: Basic library for maemo applications - shared library
 Libosso is the basic library containing required and helpful functions
 for maemo applications. One of Libosso's main features is RPC (Remote
 Procedure Calls) services (as it "wraps" D-Bus). In addition, Libosso
 provides access to low-level hardware functions, such as turning on (or
 keeping on) the display, autosaving, state saving and system time.
 .
 All maemo-compliant applications must use Libosso to respond coherently
 to system changes and signals, such as the battery low, pre-shutdown
 and state saving signals.
 .
 This package contains the shared library.

Package: libosso-test
Section: libs
Priority: optional
Architecture: any
Conflicts: libosso0 (<< 0.8.6-1)
Replaces: libosso0 (<< 0.8.6-1)
Depends: libosso1 (= ${Source-Version}),
         libdbus-glib-1-dev,
         outo
Description: Basic library for maemo applications - unit tests
 Libosso is the basic library containing required and helpful functions
 for maemo applications. One of Libosso's main features is RPC (Remote
 Procedure Calls) services (as it "wraps" D-Bus). In addition, Libosso
 provides access to low-level hardware functions, such as turning on (or
 keeping on) the display, autosaving, state saving and system time.
 .
 All maemo-compliant applications must use Libosso to respond coherently
 to system changes and signals, such as the battery low, pre-shutdown
 and state saving signals.
 .
 This package contains the unit tests.

Package: libosso-dbus-conf
Section: base
Priority: optional
Conflicts: libosso0 (<< 0.8.6-1)
Replaces: libosso0 (<< 0.8.6-1)
Architecture: all
Description: Basic library for maemo applications - Scratchbox D-Bus configuration
 Libosso is the basic library containing required and helpful functions
 for maemo applications. One of Libosso's main features is RPC (Remote
 Procedure Calls) services (as it "wraps" D-Bus). In addition, Libosso
 provides access to low-level hardware functions, such as turning on (or
 keeping on) the display, autosaving, state saving and system time.
 .
 All maemo-compliant applications must use Libosso to respond coherently
 to system changes and signals, such as the battery low, pre-shutdown
 and state saving signals.
 .
 This package contains the D-Bus configuration settings for Scratchbox.

Package: libosso1-dbg
Section: libs
Architecture: any
Depends: libosso1 (= ${Source-Version})
Description: Basic library for maemo applications - detached debug symbols
 Libosso is the basic library containing required and helpful functions
 for maemo applications. One of Libosso's main features is RPC (Remote
 Procedure Calls) services (as it "wraps" D-Bus). In addition, Libosso
 provides access to low-level hardware functions, such as turning on (or
 keeping on) the display, autosaving, state saving and system time.
 .
 All maemo-compliant applications must use Libosso to respond coherently
 to system changes and signals, such as the battery low, pre-shutdown
 and state saving signals.
 .
 This package contains the detached debug symbols.

Package: libosso1-doc
Section: doc
Architecture: all
Description: Basic library for maemo applications - documentation
 Libosso is the basic library containing required and helpful functions
 for maemo applications. One of Libosso's main features is RPC (Remote
 Procedure Calls) services (as it "wraps" D-Bus). In addition, Libosso
 provides access to low-level hardware functions, such as turning on (or
 keeping on) the display, autosaving, state saving and system time.
 .
 All maemo-compliant applications must use Libosso to respond coherently
 to system changes and signals, such as the battery low, pre-shutdown
 and state saving signals.
 .
 This package contains the documentation.
