## libosso 2.26-1+0m5

=== debian/changelog ===
libosso (2.26-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 21 Oct 2009 13:46:37 +0300

libosso (2.26-1) unstable; urgency=low

  * Reverted David's changes in 2.24-1, since the new HCP didn't get
    integrated.
  * Fixes: NB#143591 - Weird behaviour noticed in Libosso update

 -- Kimmo Hämäläinen <kihamala@mylly>  Tue, 20 Oct 2009 13:56:26 +0300

libosso (2.25-1) unstable; urgency=low

  Kirtika Ruchandani:
  * Don't have inline for hidden functions.
  * Fixes: MB#4594
  * Fixes: NB#131747

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 16 Oct 2009 15:55:31 +0300

libosso (2.24-1) unstable; urgency=low

  David Kedves:
  * New code for Control Panel applets, required by the new HCP.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 06 Aug 2009 12:33:18 +0300
