## libosso 2.31-1+0m5

=== debian/changelog ===
libosso (2.31-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Wed, 24 Feb 2010 13:49:56 +0200

libosso (2.31-1) unstable; urgency=low

  Marius:
  * Fixes: NB#154713 - Too strict dependency in libosso prevents new
    application installation in PR1.0 devices

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 28 Jan 2010 13:11:11 +0200

libosso (2.30-1) unstable; urgency=low

  * 'rpc' allocated in _rpc_set_cb_f wasn't freed when removing the callback.
  * Fix wrt NB#133443 - app_data structure is not free in main in pdf viewer

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 21 Jan 2010 16:49:35 +0200

libosso (2.29-1) unstable; urgency=low

  * Fixes: NB#131671 - Missing new window/app instance transition.
    Add the expected DBUS call to show a loading screen.
    
 -- Gordon Williams <gordon.williams@collabora.co.uk>  Tue, 19 Jan 2010 12:21:21 +0000

libosso (2.28-1) unstable; urgency=low

  * Fixes: NB#126619 - memory leak in is_applet_running_in_cp

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Thu, 07 Jan 2010 16:02:21 +0000

libosso (2.27-1) unstable; urgency=low

  * Fixes: NB#149138 - Remove doc files from libosso deb
  * Fixes: NB#130536 - libosso assumes that all ARM platforms have VFP instructions
    patch by stskeeps

 -- Adam Endrodi <aendrodi@molly>  Fri, 04 Dec 2009 15:53:26 +0200
