=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	configure_flags += --build=$(DEB_BUILD_GNU_TYPE)
-else
+else	# TODO this is never true, what's the point?
 	configure_flags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
@@ -70,19 +70,28 @@
 binary-indep: build install
 # We have nothing to do by default.
 
+# Empty libosso1/docs on armel
+ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
+p := -p libosso-dev
+p += -p libosso-test
+p += -p libosso-dbus-conf
+p += -p libosso1-dbg
+p += -p libosso1-doc
+endif
+
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
+	dh_installchangelogs $(p)
+	dh_installdocs $(p)
 	dh_install --sourcedir=debian/tmp -v
-	dh_installman
+	dh_installman $(p)
 	dh_link
 	dh_strip --dbg-package=libosso1
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V
+	dh_makeshlibs -plibosso1 -V"libosso1 (>= 2.23)"
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
