## libosso 2.32-1+0m5

=== debian/changelog ===
libosso (2.32-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.32-1+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Fri, 28 May 2010 12:19:14 +0300

libosso (2.32-1) unstable; urgency=low

  Carsten Munk:
  * Add autoconf, automake, libtool to Build-Depends.

  Adam:
  * Fixes: NB#156056 - Phone application is minimized/closed automatically
    when brought to foreground in certain scenarious

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Mon, 10 May 2010 12:26:00 +0300
